Page MenuHomePhabricator

Beta edit conflict tool apparently replaces HTML entities automatically
Closed, ResolvedPublic5 Story PointsBUG REPORT

Description

Steps to Reproduce:
Edit a page using the beta edit conflict tool. The page should contain HTML entities, like:

{ and |

The beta edit conflict tool appears to replace those entities with their actual characters, in this case { and | (left brace and pipe).

Actual Results:
Here's a diff that appears to show the results of the current replacements: https://en.wikipedia.org/w/index.php?diff=882571877

Expected Results:
This replacement, at least of these characters, should NOT happen. HTML entities are often deliberate, and replacement of them can cause unintended consequences, with the parser now having characters to interpret as wikicode.

See also this talk page discussion:
https://en.wikipedia.org/w/index.php?title=User_talk:Redrose64&curid=23591837&diff=890868687&oldid=890839616

My apologies if anything in this bug report is incorrect. I am reporting based on limited information.

Event Timeline

Jonesey95 created this task.Apr 4 2019, 4:36 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptApr 4 2019, 4:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Pppery added a subscriber: Pppery.Apr 4 2019, 11:46 AM
Izno added a subscriber: Izno.Apr 4 2019, 9:54 PM
WMDE-Fisch set the point value for this task to 5.Apr 24 2019, 9:58 AM

Change 506147 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] Prevent HTML entities from being decoded automatically

https://gerrit.wikimedia.org/r/506147

Change 506391 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Remove unused boolean flag from …DiffFormatter::composeLines()

https://gerrit.wikimedia.org/r/506391

Change 506447 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Add missing test cases to LineBasedUnifiedDiffFormatterTest

https://gerrit.wikimedia.org/r/506447

Change 506447 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Add missing test cases to LineBasedUnifiedDiffFormatterTest

https://gerrit.wikimedia.org/r/506447

Pppery added a project: Patch-For-Review.
Pppery removed a subscriber: Pppery.

Change 506147 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Prevent HTML entities from being decoded automatically

https://gerrit.wikimedia.org/r/506147

Change 506391 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Remove unused boolean flag from …DiffFormatter::composeLines()

https://gerrit.wikimedia.org/r/506391

Lea_WMDE closed this task as Resolved.May 8 2019, 9:03 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-04-17 board.